[dpdk-dev] Removal of IP version from packet offload feature flags

Thomas Monjalon thomas.monjalon at 6wind.com
Mon Aug 31 10:56:36 CEST 2015


2015-08-31 10:03, Martin Drašar:
> I just tried to upgrade to 2.1.0 and suddenly my code stopped compiling,
> because of using PKT_RX_IPV4_HDR feature flag and the like. In the
> rte_mbuf.h there is this code:
> 
> > #ifndef RTE_NEXT_ABI
> > #define PKT_RX_IPV4_HDR      (1ULL << 5)  /**< RX packet with IPv4 header. */
> > #define PKT_RX_IPV4_HDR_EXT  (1ULL << 6)  /**< RX packet with extended IPv4 header. */
> > #define PKT_RX_IPV6_HDR      (1ULL << 7)  /**< RX packet with IPv6 header. */
> > #define PKT_RX_IPV6_HDR_EXT  (1ULL << 8)  /**< RX packet with extended IPv6 header. */
> > #endif /* RTE_NEXT_ABI */

In order to keep compatibility with your old code, you have to disable
RTE_NEXT_ABI in your configuration file (.config).

> So I guess that means the code got deprecated between 2.0.0 and 2.1.0,
> although I did not find relevant comment in the changelog. My question
> is, what should I use instead and even better - why was this change made?

See "Extended packet type support" in
	http://dpdk.org/doc/guides/rel_notes/release_2_1.html
and
	http://dpdk.org/doc/guides/rel_notes/deprecation.html


More information about the dev mailing list